.formTitle {
  width: 100%;
  padding: 20px;
  font-family: "Oswald", sans-serif;
  font-size: 4vw;
  text-align: center;
  color: rgb(30, 30, 30);
  padding: 20px;
  color: rgb(100, 100, 100);
  font-size: 4vw;
}

.formContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.formGradient {
  background: rgb(0, 150, 50);
  background: linear-gradient(
    90deg,
    rgba(0, 150, 50, 0.22) 0%,
    rgba(14, 0, 110, 0.22) 100%
  );
}

.formDesc {
  width: 90%;
  font-size: 1.2vw;
  color: rgb(80, 80, 80);
  text-align: center;
  margin-bottom: 40px;
}

.materialTextfield {
  position: relative;
  text-align: center;
  margin-top: 20px;
  width: 60%;
}

.inputBox {
  width: 90%;
  margin-top: 20px;
  height: 45px;
  font-size: 1.1vw;
  outline: none;
  border: 1px solid rgba(128, 128, 128, 1);
  border-radius: 5px;
  padding: 10px 0px 0px 6px;
  color: rgb(50, 50, 50);
  transition: 0.1s ease-out;
  background-color: rgba(255, 255, 255, 0.3);
}

.inputBoxRed {
  width: 90%;
  margin-top: 20px;
  height: 45px;
  font-size: 1.1vw;
  outline: none;
  border: 1px solid red;
  border-radius: 5px;
  padding: 10px 0px 0px 6px;
  color: rgb(50, 50, 50);
  transition: 0.1s ease-out;
  background-color: rgba(255, 255, 255, 0.3);
}

.formLabel {
  position: absolute;
  font-size: 1.1vw;
  left: 0;
  top: 55%;
  transform: translateY(-10%);
  color: rgba(100, 100, 100, 0.7);
  padding: 0 0.3rem;
  margin: 0 3rem;
  transition: 0.1s ease-out;
  transform-origin: left top;
  pointer-events: none;
}

.formLabelForSelect {
  position: absolute;
  font-size: 1.1vw;
  left: 0;
  top: 55%;
  transform: translateY(-10%);
  color: rgba(100, 100, 100, 0);
  padding: 0 0.3rem;
  margin: 0 3rem;
  transition: 0.1s ease-out;
  transform-origin: left top;
  pointer-events: none;
}

.formLabel2 {
  position: absolute;
  font-size: 1.1vw;
  left: 46%;
  top: 55%;
  transform: translateY(-10%);
  color: rgba(100, 100, 100, 0.7);
  padding: 0 0.3rem;
  margin: 0 3rem;
  transition: 0.1s ease-out;
  transform-origin: left top;
  pointer-events: none;
}

.formLabel3 {
  position: absolute;
  font-size: 1.1vw;
  left: 47%;
  top: 55%;
  transform: translateY(-10%);
  color: rgba(100, 100, 100, 0.7);
  padding: 0 0.3rem;
  margin: 0 3rem;
  transition: 0.1s ease-out;
  transform-origin: left top;
  pointer-events: none;
}

.inputBox:focus {
  border: 2px solid #06534b;
  background-color: rgb(250, 250, 250);
}
.inputBox:focus + label {
  color: #06534b;
  top: 0;
  transform: translateY(130%) translateX(-3%) scale(0.7);
}
.inputBox:not(:placeholder-shown) + label {
  color: #06534b;

  top: 0;
  transform: translateY(130%) translateX(-3%) scale(0.7);
}

.submitButton {
  background-color: transparent;
  border: 2px solid black;
  padding: 10px 18px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 1vw;
  margin: 60px 20px;
  cursor: pointer;
  color: black;
}

.submitButton:hover {
  background-color: black;
  color: white;
}

.othersInputMargin {
  margin-right: 20%;
}

.halfWidth {
  width: 50%;
}

.collectionStyle {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  width: 60%;
}

@media (max-width: 500px) {
  .formTitle {
    font-size: 6vw;
  }

  .formDesc {
    font-size: 3.2vw;
    text-align: justify;
    margin-bottom: 20px;
  }

  .materialTextfield {
    position: relative;
    text-align: center;
    margin-top: 15px;
    width: 90%;
  }

  .inputBox {
    width: 90%;
    margin-top: 20px;
    height: 45px;
    font-size: 3.2vw;
  }

  .inputBoxRed {
    width: 90%;
    margin-top: 20px;
    height: 45px;
    font-size: 3.2vw;
  }

  .formLabel {
    font-size: 3.2vw;
    left: 0;
    top: 55%;

    padding: 0 0.3rem;
    margin: 0 20px;
  }

  .formLabelForSelect {
    position: absolute;
    font-size: 3.1vw;
    left: 0;
    top: 55%;
    transform: translateY(-10%);

    padding: 0 0.3rem;
    margin: 0 20px;
  }

  .formLabel2 {
    position: absolute;
    font-size: 3.2vw;
    left: 45%;
    top: 55%;
    transform: translateY(-10%);
    color: rgba(100, 100, 100, 0.7);
    padding: 0 0.3rem;
    margin: 0 20px;

    width: 30%;
  }

  .formLabel3 {
    position: absolute;
    font-size: 3.2vw;
    left: 40%;
    top: 55%;
    transform: translateY(-10%);
    color: rgba(100, 100, 100, 0.7);
    padding: 0 0.3rem;
    margin: 0 3rem;
    transition: 0.1s ease-out;
    transform-origin: left top;
    pointer-events: none;
    width: 30%;
  }

  .othersInputMargin {
    margin-right: 0px;
  }

  .inputBox:focus {
    border: 2px solid #06534b;
    background-color: rgb(250, 250, 250);
  }
  .inputBox:focus + label {
    color: #06534b;
    top: 0;
    transform: translateY(160%) translateX(-2%) scale(0.8);
  }
  .inputBox:not(:placeholder-shown) + label {
    color: #06534b;

    top: 0;
    transform: translateY(160%) translateX(-2%) scale(0.8);
  }

  .halfWidth {
    width: 100%;
  }

  .collectionStyle {
    width: 100%;
  }

  .submitButton {
    background-color: transparent;
    border: 2px solid black;
    padding: 10px 18px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 3vw;
    margin: 60px 20px;
    cursor: pointer;
    color: black;
  }

  .submitButton:hover {
    background-color: black;
    color: white;
  }
}
